local SaltMarshes = ...

--SaltMarshes:registerAssetId("models/Water.png", "WATER_TEXTURE")

SaltMarshes:register({
	DataType = "MATERIAL",
	Id = "WATER_MATERIAL",
        AlbedoColor = COL_WHITE,
	AlbedoTexture = "Water.png"
})

SaltMarshes:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "SALT_MARSHES_WATER_PARTICLE_SYSTEM",
	Material = "WATER_MATERIAL",
	BillboardBehavior = "XZ",
	Duration = 20,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 20,
	StartSpeed = { 0, 0 },
	StartSize = { 10, 10 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 0,
	BurstList = { { Time = 0, Count =  1 } },
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_BOX",
		Size = { 0, 0.001, 0 },
                Rotation = { 0, 0, 0 },
                Position = { 0, 0, 0 }
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0, 0, 0 },
		ValueB = { 0, 0, 0 },
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0, 1, 1, 0} },
			{ T = 0.3, Color = { 0, 1, 1, 0} },
			{ T = 0.7, Color = { 0, 1, 1, 0} },
			{ T = 1, Color = { 0, 1, 1, 0 } }
		},
		AlphaList = {
			{ T = 0, Alpha = 255 }, -- 0 = transparent
			{ T = 0.1, Alpha = 255 },
			{ T = 0.2, Alpha = 255 },
			{ T = 0.3, Alpha = 200 },
			{ T = 0.4, Alpha = 180 },
			{ T = 0.5, Alpha = 130 },
			{ T = 0.6, Alpha = 100 },
			{ T = 0.7, Alpha = 0 },
			{ T = 0.8, Alpha = 0 },
			{ T = 0.9, Alpha = 0 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
		{ T = 0, Value = 1 }
--,
--		{ T = 0.7, Value = 0.5 },
--		{ T = 1, Value = 0.5 }
	},
	RotationOverLifetime = { 0, 0 },
})

SaltMarshes:registerAssetId("models/Salt2.png", "SALT_TEXTURE")

SaltMarshes:register({
	DataType = "MATERIAL",
	Id = "SALT_MATERIAL",
        AlbedoColor = COL_WHITE,
	AlbedoTexture = "SALT_TEXTURE"
})

SaltMarshes:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "SALT_MARSHES_SALT_PARTICLE_SYSTEM",
	Material = "SALT_MATERIAL",
	BillboardBehavior = "XZ",
	Duration = 20,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 10,
	StartSpeed = { 0, 0 },
	StartSize = { 10, 10 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 0,
	BurstList = { { Time = 5, Count =  1 } },
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_BOX",
		Size = { 0, 0.001, 0 },
                Rotation = { 0, 0, 0 },
                Position = { 0, 0, 0 }
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0, 0, 0 },
		ValueB = { 0, 0, 0 },
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
--		ColorList = {
--			{ T = 0, Color = { 0, 0, 0, 0} },
--			{ T = 0.3, Color = { 0, 0, 0, 0} },
--			{ T = 0.7, Color = { 0, 0, 0, 0} },
--			{ T = 1, Color = { 0, 0, 0, 0 } }
--		},
		AlphaList = {
			{ T = 0, Alpha = 255 }, -- 0 = transparent
			{ T = 0.1, Alpha = 255 },
			{ T = 0.2, Alpha = 255 },
			{ T = 0.3, Alpha = 255 },
			{ T = 0.4, Alpha = 255 },
			{ T = 0.5, Alpha = 255 },
			{ T = 0.6, Alpha = 255 },
			{ T = 0.7, Alpha = 255 },
			{ T = 0.8, Alpha = 200 },
			{ T = 0.9, Alpha = 100 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
		{ T = 0, Value = 1 }
--,
--		{ T = 0.7, Value = 0.5 },
--		{ T = 1, Value = 0.5 }
	},
	RotationOverLifetime = { 0, 0 },
})